%define upstream_name    XML-Grammar-Fortune-Synd
%define upstream_version 0.0400

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Heap element class for
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(DateTime::Format::W3CDTF)
BuildRequires: perl(Exporter)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(File::Update)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(Heap::Binary)
BuildRequires: perl(Heap::Elem::Ref)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util)
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(XML::Feed)
BuildRequires: perl(XML::Grammar::Fortune)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(XML::RSS)
BuildRequires: perl(YAML::XS)
BuildRequires: perl(autodie)
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.40.0-2.mga10
+ Revision: 2218652
- Mageia 10 Mass Rebuild

* Wed Aug 30 2023 tv <tv> 0.40.0-1.mga10
+ Revision: 1982008
- update to 0.0400

* Mon Mar 21 2022 umeabot <umeabot> 0.21.500-2.mga9
+ Revision: 1813534
- Mageia 9 Mass Rebuild

* Fri Oct 23 2020 tv <tv> 0.21.500-1.mga8
+ Revision: 1638744
- update to 0.0215

* Sat Feb 15 2020 umeabot <umeabot> 0.21.400-2.mga8
+ Revision: 1528662
- Mageia 8 Mass Rebuild

* Sun Aug 25 2019 tv <tv> 0.21.400-1.mga8
+ Revision: 1432111
- update to 0.0214

* Thu Sep 20 2018 umeabot <umeabot> 0.21.200-2.mga7
+ Revision: 1287308
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 shlomif <shlomif> 0.21.200-1.mga7
+ Revision: 1233720
- New version 0.0212

* Sun Jun 19 2016 pterjan <pterjan> 0.21.100-5.mga6
+ Revision: 1036021
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.21.100-4.mga6
+ Revision: 936538
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.21.100-3.mga5
+ Revision: 750679
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 0.21.100-1.mga5
+ Revision: 588840
- update to 0.0211

* Sat Oct 19 2013 umeabot <umeabot> 0.21.0-2.mga4
+ Revision: 528480
- Mageia 4 Mass Rebuild

* Sat Jun 22 2013 shlomif <shlomif> 0.21.0-1.mga4
+ Revision: 445672
- update to 0.0210

* Sun Jun 02 2013 shlomif <shlomif> 0.20.900-1.mga4
+ Revision: 434412
- update to 0.0209

* Fri May 31 2013 shlomif <shlomif> 0.20.800-1.mga4
+ Revision: 433683
- update to 0.0208

* Sun Jan 13 2013 umeabot <umeabot> 0.20.300-2.mga3
+ Revision: 375049
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 01 2012 shlomif <shlomif> 0.20.300-1.mga3
+ Revision: 277609
- imported package perl-XML-Grammar-Fortune-Synd


* Wed Aug 01 2012 cpan2dist 0.0203-1mga
- initial mageia release, generated with cpan2dist
